Distribution:   CCux
Packager:	Stefan Gottwald <gotti@ccux-linux.de>

Summary:	The 3D Studio File Format Library
Name:		lib3ds
Version:	1.3.0
Release:	1
License:	LGPL-2.1
URL:		http://lib3ds.sourceforge.net
Group:		Games/Library
Source0:	%{name}-%{version}.zip
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	freeglut-devel 
BuildRequires:  mesa-libGL-devel 
BuildRequires:  mesa-libGLU-devel
BuildRequires:  glibc-devel

%description
Lib3ds is a free alternative to Autodesk's 3DS File Toolkit for handling
3DS files It's main goal is to simplify the creation of 3DS import and
export filters.

This project is not related in any form to Autodesk. The library is
based on unofficial information about the 3DS format found on the web.

This  program  is  distributed in  the  hope that it will  be useful,  but
WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public
License for more details.

The official Lib3ds Homepage can be found under:
  http://lib3ds.sourceforge.net
  
%package devel
Summary: 	%{name} development headers.
Group: 		%{group}            
Requires: 	%{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.


%post
ldconfig 

%postun
ldconfig

%prep
%setup

%build
LDFLAGS="${LDFLAGS} -L/usr/X11R6/lib" 
./configure 	--prefix=%_prefix \
		--bindir=%_bindir \
		--libdir=%_libdir \
		--mandir=%_mandir
make

%install
rm -Rf $RPM_BUILD_ROOT
make DESTDIR=%{buildroot} install
#mkdir -p %{buildroot}%{_bindir}
#install -m 755 examples/3ds2rib %{buildroot}%{_bindir}/3ds2rib
#install -m 755 examples/player %{buildroot}%{_bindir}/3dsplayer
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%doc README AUTHORS
%_bindir
%_mandir
%_libdir/*.so*


%files devel
%defattr(-,root,root)
%_includedir
%_libdir/*.a
%_libdir/*.la
%_datadir/aclocal

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Aug 29 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.3.0-1
- Version update
* Sat Dec 30 2006 Stefan Gottwald <gotti@ccux-linux.de> 1.2.0-1
- Initial Release
